/* gtuner
        Copyright (c) 1998-1999 Carl van Schaik (carl@leg.uct.ac.za)
        cRadio, kTuner, gtuner (c) 1998-1999 Carl van Schaik

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef ZOLTRIX_H
#define ZOLTRIX_H

#include "plugins.h"

radioError zol_init (int port);
void about ();
void configure ();
void cleanup ();
void zol_on  ();
void zol_off ();
void zol_mute ();
void zol_unmute ();
void zol_inc_volume ();
void zol_dec_volume ();
void zol_set_volume (int);
int  zol_get_volume ();
void zol_set_frequency  (double);
double zol_get_frequency ();
void zol_tune_up ();
void zol_tune_down ();
void zol_set_stereo (gboolean);
gboolean  zol_is_tuned ();
gboolean  zol_is_stereo ();
double zol_get_frequency_step ();
double zol_get_max_frequency ();
double zol_get_min_frequency ();

#endif
