/* gtuner
	Copyright (c) 1998-1999 Carl van Schaik (carl@leg.uct.ac.za)
	cRadio, kTuner, gtuner (c) 1998-1999 Carl van Schaik

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef CALLBACKS_H
#define CALLBACKS_H

#include "channel.h"
#include "gui/gui.h"
#include <glib.h>
#include <gtk/gtk.h>

void callback_set_channel(GtkWidget *, struct channel *);
int callback_timer_check_radio(void);
void callback_mute(GtkWidget *, char *ignore);
void callback_unmute(GtkWidget *window, char *ignore);
void callback_set_freq (GtkWidget *, double);
void callback_scan(double);
void callback_set_volume (GtkWidget *window, struct volume_changer *vc);
void callback_scan(double step);

#endif
