/* gtuner
	Copyright (c) 1998-1999 Carl van Schaik (carl@leg.uct.ac.za)
	cRadio, kTuner, gtuner (c) 1998-1999 Carl van Schaik

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include <gtk/gtk.h>

void initialize_popups();
void popups_reset_stations();
void popup_about( GtkWidget *w, gpointer   data );

#ifdef USE_GNOME
    extern GtkWidget *popup_menu;
    extern GtkItemFactory *popup_stations;
    extern GtkAccelGroup *accel_group;
    extern GtkWidget *popup_stations_widget;

    GtkCheckMenuItem *mute_item;
    GtkCheckMenuItem *stereo_item;
    GtkCheckMenuItem *alarm_item;
    GtkCheckMenuItem *timer_item;
#else
    extern GtkItemFactory *popup_menu, *popup_stations;
    extern GtkAccelGroup *accel_group;
#endif
